-------IA v6.0.0---------
-----------------------
-- Start of Settings --
local IAraid = false;
local IAparty = false;
local IAsay = true;
--- End of Settings ---
-----------------------


function ShowSpellLink(spellID)
    local spellLink = GetSpellLink(spellID or 0) or "<no spellLink found>";
    DEFAULT_CHAT_FRAME:AddMessage(spellLink);
end


------- Start -------
---------------------

local function OnEvent(self, event, ...)

	if ( event == "PLAYER_LOGIN" ) then
		self:UnregisterEvent("PLAYER_LOGIN");
		self:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

	elseif ( event == "COMBAT_LOG_EVENT_UNFILTERED" ) then
		local ZoneName = GetRealZoneText();

		if 
		(ZoneName == "Tol Barad") or 
		(ZoneName == "Tol Barad Peninsula") or 
		(ZoneName == "Wintergrasp") or 
		(ZoneName == "Alterac Valley") or 
		(ZoneName == "Arathi Basin") or 
		(ZoneName == "Eye of the Storm") or 
		(ZoneName == "Isle of Conquest") or 
		(ZoneName == "Strand of the Ancients") or 
		(ZoneName == "The Battle for Gilneas") or 
		(ZoneName == "Twin Peaks") or (ZoneName == "Wildhammer Stronghold") or (ZoneName == "Dragonmaw Stronghold") or 
		(ZoneName == "Warsong Gulch") or (ZoneName == "Warsong Lumber Mill") or (ZoneName == "Silverwing Hold") or
		(ZoneName == "Silvershard Mines") or
		(ZoneName == "Temple of Kotmogu") or
		(ZoneName == "Deepwind Gorge") or
		(ZoneName == "Ashran")

then
		else
			
			local aEvent = select(2, ...)
			local aUser = select(5, ...)
			local destName = select(9, ...)
			local spellID = select(12, ...)
			local extraSpellID = select(15, ...);
			
			------- Spell Interrupt -------

			if aEvent == "SPELL_INTERRUPT" and aUser == UnitName("player") then
				intmsg = ("Interrupted "..destName.."'s "  ..GetSpellLink(extraSpellID).. ".")
				if (IAsay == true) then
					SendChatMessage(intmsg, "SAY")
				end			
			
			------- Spell Dispel -------
			
			elseif aEvent == "SPELL_DISPEL" and aUser == UnitName("player") then
				intmsg = ("Dispelled "..destName.."'s "  ..GetSpellLink(extraSpellID).. ".")
				if (IAsay == true) then
					SendChatMessage(intmsg, "SAY")
				end

			------- Spellsteal -------
			
			elseif aEvent == "SPELL_STOLEN" and aUser == UnitName("player")	then
				intmsg = ("Spellstole "..destName.."'s "  ..GetSpellLink(extraSpellID).. ".")
				if (IAsay == true) then
					SendChatMessage(intmsg, "SAY")
				end

			------- Spell Reflect is in a different file-------

			end
		end
	end;
end

local ImmortalisAnnounce = CreateFrame("Frame")
ImmortalisAnnounce:RegisterEvent("PLAYER_LOGIN")
ImmortalisAnnounce:SetScript("OnEvent", OnEvent)